--- src/rom/ide_fill_inbuf.c	Mon Dec 16 20:57:49 2002
+++ src/rom/ide_fill_inbuf.c	Tue Mar 18 23:51:38 2003
@@ -19,13 +19,18 @@
 	int i,res;
 
         printk_debug ("Trying polled ide\n");
+#if	IDE_SPINUP_DELAY != 0
+#warning ********* IDE Spin-Up Delay enabled
         printk_debug ("Waiting for ide disks to spin up\n");
-        printk_notice ("This is a hard coded delay and longer than necessary.\n");
-	for (i = 0; i < 2; i++) {
+        printk_notice("Spinning up IDE disks: ");
+	for (i = 0; i < IDE_SPINUP_DELAY; i++) {
 		printk_notice (".");
 		delay(1);
 	}
-	printk_info ("\n");
+	printk_notice("\n");
+#else
+#warning ********* IDE Spin-Up Delay disabled
+#endif
 
 #ifdef ONE_TRACK
 	offset = (ONE_TRACK*512);
--- /home/spirit/freeb2/freebios/src/rom/Config	Tue Jan 29 23:28:24 2002
+++ src/rom/Config	Tue Mar 18 23:36:45 2003
@@ -1,5 +1,6 @@
 option USE_DOC_MIL=0
 option USE_DOC_2000_TSOP=0
+option IDE_SPINUP_DELAY=2
 expr USE_DOC = USE_DOC_MIL | USE_DOC_2000_TSOP
 
 driver rom_fill_inbuf.o USE_GENERIC_ROM
